Download it now!
Bug 129918 - Help on Math keywords needed
Summary: Help on Math keywords needed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: Formula-Editor HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2020-01-10 09:33 UTC by Mike Kaganski
Modified: 2020-06-04 09:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-01-10 09:33:38 UTC
There are a lot of keywords in Math (like "sin", "setQ", etc) [1]. But there's no help on them. Some (not all) of them are present in Math elements sidebar, and that's all.

This makes problems when (1) looking for a way to do something where a keyword is needed; and (2) looking why something doesn't work (like in [2], where iser is unaware that "in" is a keyword, and needs to be shielded).

We need a page (or pages, like in Calc?) for all the functions with their keywords in Math.

[1] https://opengrok.libreoffice.org/xref/core/starmath/source/parse.cxx?r=8b550895#68
[2] https://ask.libreoffice.org/en/question/224525/
Comment 1 V Stuart Foote 2020-01-10 16:01:41 UTC
Seems most have coverage in the Math Guide [1], but agree the Help needs them as well.

=-ref-=
Still valid (though last update at 4.4).
[1] https://documentation.libreoffice.org/en/english-documentation/math/
Comment 2 Olivier Hallot 2020-01-10 16:54:55 UTC
I beg to differ, e.g 

sin:
https://help.libreoffice.org/6.5/en-US/text/smath/01/03090400.html?&DbPAR=WRITER&System=UNIX

setq:
https://help.libreoffice.org/6.5/en-US/text/smath/01/03090800.html?&DbPAR=WRITER&System=UNIX

Is the issue actually a bookmark for the panel?

(and Help page rendering can improve, I agree).
Comment 3 Mike Kaganski 2020-01-10 17:09:24 UTC
(In reply to Olivier Hallot from comment #2)
> I beg to differ, e.g 

I stand corrected! Somehow I failed to find the pages :-(
Please just check if everything is covered then; feel free to close INVALID.
Comment 4 Olivier Hallot 2020-01-15 02:06:16 UTC
Help pages id's (hid) for the elements panel exist (inherited from the old Elements window):

STARMATH_HID_SMA_UNBINOPS_TBX in /text/smath/01/03090100.xhp
STARMATH_HID_SMA_RELATIONS_TBX in /text/smath/01/03090200.xhp
STARMATH_HID_SMA_OPERATORS_TBX ...
STARMATH_HID_SMA_FUNCTIONS_TBX
STARMATH_HID_SMA_BRACKETS_TBX
STARMATH_HID_SMA_ATTRIBUTES_TBX
STARMATH_HID_SMA_FORMAT_TBX
STARMATH_HID_SMA_SETOPERATIONS_TBX
STARMATH_HID_SMA_MISC_MENU in /text/smath/01/03091600.xhp

But they are not defined in starmath/inc/helpids.h 

Class is starmath/source/ElementsDockingWindow.cxx
Comment 5 Commit Notification 2020-01-26 13:16:02 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/7d262f50126db92b074855ece4af73d1b597ca47

tdf#129918 Add right bookmark for Elements panel